<?
include_once("valida_sessao.php");
protegePagina();
include_once("adm_head.php");
include_once("utf8.php"); 
?>

<span class="dir">Adicionar novo Menu</span>
</div>
<div id="conteudo">

<?php
include_once("config.php");

if (isset($_POST['submit'])) {

$nome = $_POST['nome'];
$pagina = $_POST['pagina'];
$ordem = $_POST['ordem'];
$status = $_POST['status'];

   include_once("utf8.php");   
   
   $insere = "INSERT INTO ctd_menu (m_nome,m_pagina,m_ordem,m_status)
   VALUES ('$nome','$pagina','$ordem','$status')";
   mysqli_query($conn, $insere);
   mysqli_close($conn);
   
   echo "<p class=\"sucesso\">Adicionado Com Sucesso!</p>";  
   
}

$sql_pag = "SELECT * FROM ctd_paginas ORDER BY p_nome";
$con_pag = mysqli_query($conn, $sql_pag);

?>

<form name="frmmenu" method="POST" action="<?=$_SERVER['PHP_SELF']?>" onSubmit="return valida_menu(this);">
<table align="center" cellspacing="0" cellpadding="0" class="form">
		  <tr>
            <td colspan="3">
            <img src="imagem/importante.gif" />
            Nome <br />
            <input type="text" name="nome" maxlength="100" />
            </td>
          </tr>          
          <tr>
            <td>            
            Página <br />
            <select name="pagina" id="pagina">
            <option value=""></option>
            <?PHP
			while($sel_pag = mysqli_fetch_array($con_pag)){
            	echo "<option value=\"". $sel_pag['p_id'] ."\" ";				
				echo ">". $sel_pag['p_nome'] ."</option>";
			}			
            ?>
            </select>
            </td>
            <td width="20%">
            Ordem <br />
            <input name="ordem" type="number" />
            </td>
            <td>
            <img src="imagem/importante.gif" />
            Situação <br />
            <select name="status">
            <option value="1">Ativo</option>
            <option value="0">Inativo</option>
            </select>   
            </td>
          </tr>          
          <tr>
            <td align="center" colspan="3">
              <input type="button" value="Voltar" name="voltar" onclick="location.href='ctd_menu_adm.php'" />
              <input type="submit" value="Salvar" name="submit" />
              </td>
          </tr>
        </table> 
</form>
</div>
</table>
<? include_once("adm_foot.php"); ?>